Skip to main content
PUT
Upload one resumable upload part

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Headers

x-nullspace-part-sha256
string

Optional lowercase hex SHA-256 digest for the uploaded part body.

Path Parameters

id
string
required

Machine ID (e.g. mch_a1b2c3d4)

upload_id
string
required

Upload session identifier.

part_number
integer<uint32>
required

Zero-based upload part number.

Required range: x >= 0

Body

application/octet-stream

The body is of type file.

Response

200 - application/json

Updated upload session status

upload_id
string
required
kind
enum<string>
required
Available options:
file,
directory_tar
source_kind
enum<string>
required
Available options:
restartable_file,
spooled_stream,
directory_archive
target_path
string
required

Normalized absolute machine destination path for this upload session.

content_length
integer<uint64>
required
accepted_bytes
integer<uint64>
required
reserved_staging_bytes
integer<uint64>
required
part_size
integer<uint64>
required
part_count
integer<uint32>
required
max_concurrency
integer<uint32>
required
status
enum<string>
required
Available options:
created,
uploading,
staged,
completing,
completed,
aborted,
expired,
failed
conflict
enum<string>
required
Available options:
merge,
replace,
error
checksum_algorithm
enum<string>
required
Available options:
sha256
limits
object
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
expires_at
string<date-time>
required
user
string

Optional machine user associated with the upload request.

next_part
integer<uint32>
archive_format
enum<string>
Available options:
tar
whole_checksum_sha256
string